com.google.gwt.user.datepicker.client

## Class DefaultMonthSelector

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - com.google.gwt.user.datepicker.client.DatePickerComponent
        - - com.google.gwt.user.datepicker.client.MonthSelector
          - - com.google.gwt.user.datepicker.client.DefaultMonthSelector

- All Implemented Interfaces:
    HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

      public final class DefaultMonthSelector
      extends MonthSelector

  A simple `MonthSelector` used for the default date picker. It allows to select months and years but the name is not changed for backward compatibility. Also not extensible as we wish to evolve it freely over time.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMonthSelector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `getBackwardButtonElement()` Returns the button for moving to the previous month.
    `Element` | `getForwardButtonElement()` Returns the button for moving to the next month.
    `ListBox` | `getMonthSelectListBox()` Returns the ListBox for selecting the month
    `Element` | `getYearBackwardButtonElement()` Returns the button for moving to the previous year.
    `Element` | `getYearForwardButtonElement()` Returns the button for moving to the next year.
    `ListBox` | `getYearSelectListBox()` Returns the ListBox for selecting the year
    `protected void` | `refresh()` Refresh the component.
    `protected void` | `setup()` Set up the component.

    - ### Methods inherited from class com.google.gwt.user.datepicker.client.DatePickerComponent

      `addMonths, css, getDatePicker, getModel, refreshAll, setDatePicker`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultMonthSelector

          public DefaultMonthSelector()

  - ### Method Detail

    - #### getBackwardButtonElement

          public Element getBackwardButtonElement()

      Returns the button for moving to the previous month.

    - #### getForwardButtonElement

          public Element getForwardButtonElement()

      Returns the button for moving to the next month.

    - #### getYearBackwardButtonElement

          public Element getYearBackwardButtonElement()

      Returns the button for moving to the previous year.

    - #### getYearForwardButtonElement

          public Element getYearForwardButtonElement()

      Returns the button for moving to the next year.

    - #### getMonthSelectListBox

          public ListBox getMonthSelectListBox()

      Returns the ListBox for selecting the month

    - #### getYearSelectListBox

          public ListBox getYearSelectListBox()

      Returns the ListBox for selecting the year

    - #### refresh

          protected void refresh()

      Description copied from class: `DatePickerComponent`
      Refresh the component. Usually called because the model's current date has changed. In general, only should be called by `DatePicker`. Use refreshAll() if you need to refresh all components.
      Specified by:
        `refresh` in class `DatePickerComponent`

    - #### setup

          protected void setup()

      Description copied from class: `DatePickerComponent`
      Set up the component.
      Specified by:
        `setup` in class `DatePickerComponent`